# Uses of Interface
org.springframework.context.ApplicationContextInitializer

Packages that use ApplicationContextInitializer
Package
Description
org.springframework.context.aot
AOT support for application contexts.

## Uses of ApplicationContextInitializer in org.springframework.context.aot

Subinterfaces of ApplicationContextInitializer in org.springframework.context.aot
Modifier and Type
Interface
Description
`interface`
`AotApplicationContextInitializer<C extends ConfigurableApplicationContext>`
Specialized `ApplicationContextInitializer` used to initialize a `ConfigurableApplicationContext` using artifacts that were generated ahead-of-time.
Methods in org.springframework.context.aot that return ApplicationContextInitializer
Modifier and Type
Method
Description
`static <C extends ConfigurableApplicationContext>
ApplicationContextInitializer<C>`
AotApplicationContextInitializer.`instantiateInitializer(String initializerClassName, ClassLoader classLoader)`